Bug 1414003 - RFE - Azure Orchestration Service Retirement does not delete VMs
Summary: RFE - Azure Orchestration Service Retirement does not delete VMs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Bill Wei
QA Contact: Jeff Teehan
URL:
Whiteboard: azure:stack:retirement
Depends On: 1393842
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 14:25 UTC by Satoe Imaishi
Modified: 2020-06-11 13:12 UTC (History)
12 users (show)

Fixed In Version: 5.7.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1393842
Environment:
5.6.2.1
Last Closed: 2017-04-12 14:36:10 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 3 CFME Bot 2017-03-14 13:05:50 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3c8aba3c7449bf4158cf3c27b2e8ada35d80134c

commit 3c8aba3c7449bf4158cf3c27b2e8ada35d80134c
Author:     Bill Wei <bilwei@redhat.com>
AuthorDate: Tue Jan 17 15:39:27 2017 -0500
Commit:     Bill Wei <bilwei@redhat.com>
CommitDate: Tue Jan 17 16:27:59 2017 -0500

    Accept option to delete all resources together with a stack
    
    Upstream commit 71e9ea4a549450dda09c34a95a8911d566821046
    
    There is a difference from the upstream where by default all resources are deleted
    with the stack. For Euwe we will only delete resources when the flag is on.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1414003

 .../manageiq/providers/azure/cloud_manager/orchestration_stack.rb    | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

Comment 5 Bill Wei 2017-03-27 18:22:24 UTC
For backward compatibility purpose the delete VMs at stack retirement feature is enabled by default only for product >= 5.8.

To manually turn on the feature for users on V5.7 the automate script needs a change as following:

Cloud/Orchestration/Retirement/Statemachines/Methods/remove_from_provider

change
stack.raw_delete_stack
to
stack.raw_delete_stack(true)

Note: above change can be applied for Azure stacks only. 

Need documentation update.

Comment 6 Shveta 2017-04-05 16:07:11 UTC
Vm as well as the service gets deleted when service is retired

Comment 7 Jeff Teehan 2017-04-05 16:47:51 UTC
I'm moving to verified per the expert.  Reopen if necessary as MS does change json from time to time.

Comment 13 errata-xmlrpc 2017-04-12 14:36:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.